#include "bits/stdc++.h"

using namespace std;
using ll = long long;

int main() {
	ios::sync_with_stdio(false);

	int n, m, q;
	cin >> n >> m >> q;
	vector<int> sv(n);
	vector<int> tv(n);
	vector<int> vsz(n);
	vector<pair<int, int>> edges;
	vector<vector<int>> sl(n);

	for(int i = 0; i < n; ++i) {
		int d;
		cin >> d;
		sv[i] += d;
		tv[i] += d;
	}
	for(int i = 0; i < n; ++i) {
		int e;
		cin >> e;
		sv[i] -= e;
		tv[i] -= e;
	}
	for(int i = 0; i < m; ++i) {
		int a, b;
		cin >> a >> b;
		--a; --b;
		++vsz[a];
		++vsz[b];
		edges.push_back({a, b});
	}
	for(int i = 0; i < m; ++i) {
		int a = edges[i].first; 
		int b = edges[i].second; 
		if(vsz[a] > vsz[b]) {
			swap(a, b);
		} 
		sl[a].push_back(b);
		tv[b] += sv[a];
		// cerr << a << "->" << b << '\n';
	}
	for(int i = 0; i < q; ++i) {
		string cw;
		cin >> cw;
		if(cw[0] == 'a') {
			int c;
			cin >> c;
			string ng;
			cin >> ng;
			if(ng[0] == 'm') {
				c = -c;
			}
			int l;
			cin >> l;
			--l;
			sv[l] += c;
			tv[l] += c;
			for(int s : sl[l]) {
				tv[s] += c;
			}
		} else {
			int l;
			cin >> l;
			--l;
			int r = tv[l];
			for(int s : sl[l]) {
				r += sv[s];
			}
			if(r > 0) cout << "desks\n";
			else if(r == 0) cout << "same\n";
			else cout << "monitors\n";
		}
		/*
		for(int i = 0; i < n; ++i) {
			cerr << sv[i] << ' ';
		}
		cerr << '\n';
		for(int i = 0; i < n; ++i) {
			cerr << tv[i] << ' ';
		}
		cerr << '\n';
		*/
	}

	return 0;
}
